org.apache.uima.fit.component.initialize

## Class ExternalResourceInitializer

- java.lang.Object
- - org.apache.uima.fit.component.initialize.ExternalResourceInitializer

-     public final class ExternalResourceInitializer
      extends Object

  Configurator class for `ExternalResource` annotations.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> void` | `initialize(T object, org.apache.uima.UimaContext context)` Configure a component from the given context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initialize

          public static <T> void initialize(T object,
                                            org.apache.uima.UimaContext context)
                                     throws org.apache.uima.resource.ResourceInitializationException

      Configure a component from the given context.
      Type Parameters:
        `T` - the component type.
      Parameters:
        `object` - the component.
        `context` - the UIMA context.
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if the external resource cannot be configured.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.